local uci = require "luci.model.uci".cursor()
local ds = require "luci.dispatcher"
local sys = require "luci.sys"

m = Map("ser2tcpclient", "", "")


s = m:section(TypedSection, "ser-tcpclient", "Serial to TCP Client")
s.anonymous = true

option_enabled = s:option(Flag, "enabled", translate("Enabled"), translate("Enable Serial to TCP Client"))
option_enabled.default = "0"

serial_port = s:option(ListValue, "serial_port", translate("Serial Port"))
serial_port:value("/dev/ttyS0", "Serial")
serial_port:value("/dev/ttyUSB0", "USB")

speed = s:option(ListValue, "speed", translate("Port Speed"))
speed:value("b300","300 bps")
speed:value("b2400","2400 bps")
speed:value("b4800","4800 bps")
speed:value("b9600","9600 bps")
speed:value("b9600","9600 bps")
speed:value("b19200","19200 bps")
speed:value("b57600","57600 bps")
speed:value( "b38400","38400 bps")
speed:value("b115200","115200 bps")
speed.default = "b300"

data_bits = s:option(ListValue, "data_bits", translate("Data bits"))
data_bits:value("cs5", "5")
data_bits:value("cs6", "6")
data_bits:value("cs7", "7")
data_bits:value("cs8", "8")
data_bits.default = "8"

parity = s:option(ListValue, "parity", translate("Parity"))
parity:value("parenb=0", translate("None"))
parity:value("parenb=1,parodd=1", translate("Even"))
parity:value("parenb=1,parodd=0", translate("Odd"))
parity.default = "parenb=0"

stopbits = s:option(ListValue, "stopbits", translate("Stop bits"))
stopbits:value("cstopb=0", "1 bit")
stopbits:value("cstopb=1", "2 bits")

ip_address = s:option(Value, "ip_address", translate("Remote IP Address"))
ip_address.datatype = "ipaddr"

ip_port = s:option(Value, "ip_port", translate("Remote IP Port"))
ip_port.datatype = "port"
return m